Bug 17354 - Webkit suddenly closes unexpectedly while reading page
Summary: Webkit suddenly closes unexpectedly while reading page
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL: http://www.businessweek.com/technolog...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-13 18:57 PST by Jeroen van de Ven
Modified: 2008-03-07 02:35 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen van de Ven 2008-02-13 18:57:12 PST
I have'nt reproduced this, but there was no clear trigger to make it crash. I was just reading the page, and it had already finished loading.

Process:         Safari [292]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         r30191 (30191)
Code Type:       X86 (Native)
Parent Process:  launchd [115]

Date/Time:       2008-02-14 10:51:41.256 +0800
OS Version:      Mac OS X 10.5.2 (9C31)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000490
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore             	0x00e36f4f WebCore::DeprecatedString::operator=(WebCore::DeprecatedString const&) + 31
1   com.apple.WebCore             	0x00e500b0 WebCore::DocumentLoader::setResponse(WebCore::ResourceResponse const&) + 32
2   com.apple.WebCore             	0x01046d00 WebCore::MainResourceLoader::didReceiveResponse(WebCore::ResourceResponse const&) + 112
3   com.apple.WebCore             	0x0110c360 -[WebCoreResourceHandleAsDelegate connection:didReceiveResponse:] + 224
4   com.apple.Foundation          	0x9290ae1a -[NSURLConnection(NSURLConnectionReallyInternal) sendDidReceiveResponse:] + 122
5   com.apple.Foundation          	0x9290ad81 _NSURLConnectionDidReceiveResponse + 81
6   com.apple.CFNetwork           	0x93562007 sendDidReceiveDataCallback + 350
7   com.apple.CFNetwork           	0x9355f76d _CFURLConnectionSendCallbacks + 1559
8   com.apple.CFNetwork           	0x9355f0d9 muxerSourcePerform + 283
9   com.apple.CoreFoundation      	0x927db62e CFRunLoopRunSpecific + 3166
10  com.apple.CoreFoundation      	0x927dbd18 CFRunLoopRunInMode + 88
11  com.apple.HIToolbox           	0x920316a0 RunCurrentEventLoopInMode + 283
12  com.apple.HIToolbox           	0x920314b9 ReceiveNextEventCommon + 374
13  com.apple.HIToolbox           	0x9203132d BlockUntilNextEventMatchingListInMode + 106
14  com.apple.AppKit              	0x905aa7d9 _DPSNextEvent + 657
15  com.apple.AppKit              	0x905aa08e -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
16  com.apple.Safari              	0x0000997e 0x1000 + 35198
17  com.apple.AppKit              	0x905a30c5 -[NSApplication run] + 795
18  com.apple.AppKit              	0x9057030a NSApplicationMain + 574
19  com.apple.Safari              	0x00002456 0x1000 + 5206

Thread 1:
0   libSystem.B.dylib             	0x92c8cbce __semwait_signal + 10
1   libSystem.B.dylib             	0x92cb78cd pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x00f2860f WebCore::IconDatabase::syncThreadMainLoop() + 239
3   com.apple.WebCore             	0x00f28725 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
5   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x92c859e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92c8d1dc mach_msg + 72
2   com.apple.CoreFoundation      	0x927db0de CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x927dbd18 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x9355a6cc CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
6   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x92c859e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92c8d1dc mach_msg + 72
2   com.apple.CoreFoundation      	0x927db0de CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x927dbd18 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x92909ac0 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x928a65ad -[NSThread main] + 45
6   com.apple.Foundation          	0x928a6154 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
8   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x92cd5b3a select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
2   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x92c859e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92c8d1dc mach_msg + 72
2   ...romedia.Flash Player.plugin	0x1f5f3341 memcopy_mmx + 709497
3   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
4   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x92c85a2e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92cb7dc6 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92cfd8bb pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin	0x1f4ba572 0x1f12b000 + 3732850
4   ...romedia.Flash Player.plugin	0x1f4f1e68 Flash_EnforceLocalSecurity + 124992
5   ...romedia.Flash Player.plugin	0x1f4ba81c 0x1f12b000 + 3733532
6   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
7   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x92c85a2e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92cb7dc6 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92cfd8bb pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin	0x1f4ba572 0x1f12b000 + 3732850
4   ...romedia.Flash Player.plugin	0x1f4f1e68 Flash_EnforceLocalSecurity + 124992
5   ...romedia.Flash Player.plugin	0x1f4ba81c 0x1f12b000 + 3733532
6   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
7   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x92c8cbce __semwait_signal + 10
1   libSystem.B.dylib             	0x92cb78cd pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x90315460 pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x90327d92 CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
5   libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x92c85a46 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x92cb7daf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x92cb9633 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x928ec4fc -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x928ec310 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x928ec275 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit              	0x906107f0 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation          	0x928a65ad -[NSThread main] + 45
8   com.apple.Foundation          	0x928a6154 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x92cb6c55 _pthread_start + 321
10  libSystem.B.dylib             	0x92cb6b12 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x92cef5c6 __workq_ops + 10
1   libSystem.B.dylib             	0x92cef5f6 start_wqthread + 30

Thread 11:

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbfffe7b8  ebx: 0x00e36f4a  ecx: 0xbfffe7b8  edx: 0x21851500
  edi: 0xbfffe7b8  esi: 0x00000490  ebp: 0xbfffe6d8  esp: 0xbfffe6a0
   ss: 0x0000001f  efl: 0x00010217  eip: 0x00e36f4f   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000490

Binary Images:
    0x1000 -   0x12efff  com.apple.Safari 3.0.4 (5523.15) <5d4eed758cf1ec66313f0ef39feb80dc> /Applications/Safari.app/Contents/MacOS/Safari
  0x176000 -   0x177ffc +WebKitNightlyEnabler.dylib ??? (???) /Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x17c000 -   0x23afff  com.apple.WebKit 525.8+ (525.8+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebKit.framework/Versions/A/WebKit
  0x2d6000 -   0x2e4ff8  SyndicationUI ??? (???) <ea1ecc2dfe3e87726e40859919e33733> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x2f3000 -   0x2fffe7  com.apple.opengl 1.5.6 (1.5.6) <d599b1bb0f8a8da6fd125e2587b27776> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
  0x307000 -   0x345ff7  libGLImage.dylib ??? (???) <090de775838db03ddc710f57abbf6218> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
  0x34f000 -   0x3a8ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
  0x3bc000 -   0x3dcff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
  0x601000 -   0xad4fde  libGLProgrammability.dylib ??? (???) <a3d68f17f37ff55a3e61aca1e3aee522> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
  0xc02000 -   0xcd0ff7  com.apple.JavaScriptCore 525.8+ (525.8+) /Applications/WebKit.app/Contents/Frameworks/10.5/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0xd2a000 -  0x137efff  com.apple.WebCore 525.8+ (525.8+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebCore.framework/Versions/A/WebCore
 0x1b00000 -  0x1beefef  com.apple.RawCamera.bundle 2.0.2 (2.0.2) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0x1c89000 -  0x1c8eff3  libCGXCoreImage.A.dylib ??? (???) <978986709159e5fe9e094df5efddac1d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x1688a000 - 0x16898feb  libSimplifiedChineseConverter.dylib ??? (???) <548d5a699dbe2bb8fcc8275321fdc0d4> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x16f4c000 - 0x16f5efff  libTraditionalChineseConverter.dylib ??? (???) <89ec94121ef50601dc538548caae57fc> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x17765000 - 0x17765ffe  com.apple.JavaPluginCocoa 12.0.0 (12.0.0) <02a9f23a8bfc902c32ac0adfb66d6816> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
0x177d1000 - 0x177d2ff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
0x182b6000 - 0x182bdffd  com.apple.JavaVM 12.0.2 (12.0.2) <44b9536fe4d7c7fcb3506adb695a180f> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x184d2000 - 0x184d2ffd  liblangid.dylib ??? (???) <4310e568d617f1ce7178266630e1b71a> /usr/lib/liblangid.dylib
0x18e02000 - 0x18e6ffff +com.DivXInc.DivXDecoder 6.6.0 (6.6.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x190a0000 - 0x190a1ffd  com.apple.BluetoothMenu 2.1 (2.1f14) /System/Library/Contextual Menu Items/BluetoothContextualMenu.plugin/Contents/MacOS/BluetoothContextualMenu
0x1988c000 - 0x199b3fe7  libmecab.1.0.0.dylib ??? (???) <7b38ea21924f2d04b3aa6c75b0ddcb29> /usr/lib/libmecab.1.0.0.dylib
0x1d151000 - 0x1d156fff +com.presenta.iGetterCMPlugIn iGetterCMPlugin version 2.6 (2.6.1) /Users/Ge64/Library/Contextual Menu Items/iGetterCMPlugIn.plugin/Contents/MacOS/iGetterCMPlugIn
0x1d17d000 - 0x1d17fffe  com.apple.AutomatorCMM 1.1 (156) <df0822b8a335cb31d931850fe9d42ab4> /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
0x1d185000 - 0x1d188fff  com.apple.BezelServicesFW 1.4.624 (1.4.624) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
0x1dfb0000 - 0x1dfcffed  com.apple.audio.CoreAudioKit 1.5 (1.5) <82f2e52c502db7f3b32349a54209a0fe> /System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x1f12b000 - 0x1f728ff3 +com.macromedia.Flash Player.plugin 9.0.115 (1.0.4f60) <9fa57b6dc7ff4cfe9a518442325e91cb> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x2087a000 - 0x2087ffff  com.apple.FolderActionsMenu 1.3.2 (1.3.2) <9ba69ef0bec96264a79fa28b3a5f058b> /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x21abd000 - 0x21b2bff7  com.apple.Bluetooth 2.1 (2.1f14) <70a4e6ec34e101a812923b2422a4a386> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x90003000 - 0x90007fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x90161000 - 0x90166fff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x90167000 - 0x9016bfff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x902e2000 - 0x903adfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x90458000 - 0x90476fff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
0x90477000 - 0x9048dfff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x904c0000 - 0x904c5fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9056a000 - 0x90d67fef  com.apple.AppKit 6.5.2 (949.26) <bc4593edd8a224409fb6953a354505a0> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x90d68000 - 0x90d87ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x90d88000 - 0x90d9cff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90d9d000 - 0x90d9ffff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x90e2d000 - 0x90e5ffff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x90e60000 - 0x9102bff7  com.apple.security 5.0.2 (33001) <0788969ffe7961153219be10786da436> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9110c000 - 0x914a2ff7  com.apple.QuartzCore 1.5.1 (1.5.1) <665c80f6e28555b303020c8007c36b8b> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x914b7000 - 0x914fcfef  com.apple.Metadata 10.5.2 (398.7) <73a6424c06effc474e699cde6883de99> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x914fd000 - 0x91500fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x91501000 - 0x91509fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x915c6000 - 0x91605fef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91623000 - 0x91629fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9162a000 - 0x91664fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x91665000 - 0x916dfff8  com.apple.print.framework.PrintCore 5.5.2 (245.1) <3c9de512e95fbd838694ee5008d56a28> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x916e0000 - 0x9172afe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x91c95000 - 0x91cf2ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x91cf3000 - 0x91cf5ff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91cf6000 - 0x91d72feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x91d73000 - 0x91d97feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x92001000 - 0x92309fff  com.apple.HIToolbox 1.5.2 (???) <7449d6f2da33ded6936243a92e307459> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9234e000 - 0x92355ff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x92356000 - 0x92397fe7  libRIP.A.dylib ??? (???) <9d42e83d860433f9126c4871d1fe0ce8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x92398000 - 0x923a8fff  com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x923a9000 - 0x92767fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92769000 - 0x9289bfef  com.apple.CoreFoundation 6.5.1 (476.10) <d5bed2688a5eea11a6dc3a3c5c17030e> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9289c000 - 0x92b16fe7  com.apple.Foundation 6.5.4 (677.15) <6216196287f98a65ddb654d04d773e7b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92c5e000 - 0x92c65fff  com.apple.agl 3.0.9 (AGL-3.0.9) <7dac4a7cb0de2f6d08ae71c1249379e3> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x92c84000 - 0x92c84ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x92c85000 - 0x92de4ff3  libSystem.B.dylib ??? (???) <4899376234e55593b22fc370935f8cdf> /usr/lib/libSystem.B.dylib
0x92de5000 - 0x92e78ff3  com.apple.ApplicationServices.ATS 3.2 (???) <cdf31bd0ac7de54a35ee2d27cf86b6be> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92e79000 - 0x92ea4fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x92ef4000 - 0x92ef5ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x92efc000 - 0x92f88ff7  com.apple.LaunchServices 286.5 (286.5) <33c3ae54abb276b61a99d4c764d883e2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x92fda000 - 0x92fe5fe7  libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x92ff3000 - 0x930d2fff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
0x930d3000 - 0x930fbff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x931c4000 - 0x93274fff  edu.mit.Kerberos 6.0.12 (6.0.12) <9e98dfb4cde8b0510fdd972dc9fa1dc9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x93275000 - 0x9333cff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9333d000 - 0x93353fe7  com.apple.CoreVideo 1.5.0 (1.5.0) <7e010557527a0e6d49147c297d16850a> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9340e000 - 0x9342cff3  com.apple.DirectoryService.Framework 3.5.1 (3.5.1) <96407dca4d6b1d10ae5ca1881e31b27a> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x9342d000 - 0x9342dffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9342f000 - 0x93431fff  com.apple.CrashReporterSupport 10.5.0 (156) <3088b785b10d03504ed02f3fee5d3aab> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x93463000 - 0x9350afeb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x93510000 - 0x93517ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x93518000 - 0x9354efef  libtidy.A.dylib ??? (???) <e4d3e7399fb83d7f145f9b4ec8196242> /usr/lib/libtidy.A.dylib
0x9354f000 - 0x935c6fe3  com.apple.CFNetwork 221.5 (221.5) <5474cdd7d2a8b2e8059de249c702df9e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x935c7000 - 0x935c7ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x935d6000 - 0x9360dfff  com.apple.SystemConfiguration 1.9.1 (1.9.1) <8a76e429301afe4eba1330bfeaabd9f2> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9360e000 - 0x9361dfff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x9361e000 - 0x93a2efef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x93a2f000 - 0x93a94ffb  com.apple.ISSupport 1.6 (34) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x93a95000 - 0x93b4ffe3  com.apple.CoreServices.OSServices 224.4 (224.4) <ff5007ab220908ac54b6c661e447d593> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x93b50000 - 0x93b5effd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x93b5f000 - 0x93b77fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93b78000 - 0x93b78ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x93b79000 - 0x93b88ffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x93b89000 - 0x93b90fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x93b91000 - 0x93c85ff4  libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x93c86000 - 0x93c90feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93c91000 - 0x94c18fea  com.apple.QuickTimeComponents.component 7.4.1 (14) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x94c19000 - 0x94c48fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x95116000 - 0x9519dff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x9519e000 - 0x951b9ffb  libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x951ba000 - 0x95338fff  com.apple.AddressBook.framework 4.1 (687.1) <b2f2f2c925eb080e53b841014e4f9a7c> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x95339000 - 0x95339ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9533a000 - 0x9533affd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9533b000 - 0x95361fff  libcups.2.dylib ??? (???) <85ce204da14d62d6a3a5a9adfba01455> /usr/lib/libcups.2.dylib
0x95362000 - 0x954a7ff7  com.apple.ImageIO.framework 2.0.1 (2.0.1) <68ba11e689a9ca30f8310935cd1e02d6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x954a8000 - 0x95589ff7  libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib
0x95597000 - 0x95620fe3  com.apple.DesktopServices 1.4.5 (1.4.5) <8b264cd6abbbd750928c637e1247269d> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x95621000 - 0x9562afff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9562b000 - 0x9563bffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9566c000 - 0x9566cffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x9566d000 - 0x95d06fff  com.apple.CoreGraphics 1.351.21 (???) <6c93fd21149f389129fe47fa6ef71880> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x95d07000 - 0x95d92fff  com.apple.framework.IOKit 1.5.1 (???) <a17f9f5ea7e8016a467e67349f4d3d03> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x95d93000 - 0x95eb7fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x95eb8000 - 0x95f35fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x95f36000 - 0x95f78fef  com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x95f8b000 - 0x95faffff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x95fb0000 - 0x95fbbff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x95fbc000 - 0x962d0fe2  com.apple.QuickTime 7.4.1 (14) <1a4838d29e0804a2a102f03c053600f0> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x962d1000 - 0x962d1ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x962d2000 - 0x96384ffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x96385000 - 0x96385fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9638a000 - 0x96428fef  com.apple.QuickTimeImporters.component 7.4.1 (14) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x96429000 - 0x96702ff3  com.apple.CoreServices.CarbonCore 785.8 (785.8) <827c228e7d717b397cdb4941eba69553> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x96703000 - 0x96782ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x96783000 - 0x968bbff7  libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib
0x96a78000 - 0x96ad4ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x96b5a000 - 0x96bedfff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x96bee000 - 0x96c1bfeb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x96c1c000 - 0x96c55ffe  com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x96c56000 - 0x96d3bff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x96d3c000 - 0x96d8cff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x96d8d000 - 0x96de7ff7  com.apple.CoreText 2.0.1 (???) <07494945ad1e3f5395599f42748457cc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x96de8000 - 0x96ee9fff  com.apple.PubSub 1.0.2 (59) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???) <51586b8d9ef39123fbe6918f12d8285f> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib



Model: MacBookPro3,1, BootROM MBP31.0070.B02, 2 processors, Intel Core 2 Duo, 2.4 GHz, 2 GB
Graphics: GeForce 8600M GT, GeForce 8600M GT, spdisplays_pcie_device, 256 MB
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x87), 1.3.2
Bluetooth: Version 2.1.0f14, 2 service, 1 devices, 1 incoming serial ports
Network Service: Built-in Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
PCI Card: pci168c,24, sppci_othernetwork, PCI Slot 5
Serial ATA Device: FUJITSU MHW2160BHPL, 149.05 GB
Parallel ATA Device: MATSHITADVD-R   UJ-857E
USB Device: Built-in iSight, Apple Inc., high_speed, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., full_speed, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, full_speed, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., low_speed, 500 mA
Comment 1 Turki Marri 2008-03-06 05:42:03 PST
Works fine with me. Build: r30790.
Comment 2 Alexey Proskuryakov 2008-03-06 13:30:50 PST
Jeroen, are you still seeing this? I think this could be a bug in this revision that was quickly fixed.
Comment 3 Jeroen van de Ven 2008-03-07 02:19:02 PST
(In reply to comment #2)
> Jeroen, are you still seeing this? I think this could be a bug in this revision
> that was quickly fixed.
> 

I haven't seen it since, and I only saw it once but I thought maybe the report could be of use/point to a bug so I decided to post it here. Thanks for your reply.
Comment 4 Robert Blaut 2008-03-07 02:35:20 PST
Per comment #1 and comment #3 marked as WORKSFORME.